Loading...
Searching...
No Matches
vector.h File Reference

creates and outlines a dynamic array type and its functions More...

`#include "arc/std/bool.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Vector | ARC_Vector
| a dynamic array type
typedef ARC_Bool(* | ARC_Vector_CompareDataFn) (void *dataA, void *dataB)
| a callback that allows the user to define a way to check the data stored in a vector for a match
typedef void(* | ARC_Vector_DestroyDataFn) (void *data)
| a callback that cleans up memory when it is removed from the vector

## Functions

void | ARC_Vector_Create (ARC_Vector **vector, ARC_Vector_CompareDataFn *compareDataFn, ARC_Vector_DestroyDataFn *destroyDataFn)
| creates an ARC_Vector which is an "expandable" array
void | ARC_Vector_Destroy (ARC_Vector *vector)
| destroys an ARC_Vector
void | ARC_Vector_Add (ARC_Vector *vector, void *data)
| adds an item to an ARC_Vector
void | ARC_Vector_Remove (ARC_Vector *vector, void *data)
| removes an item from a matching item in an ARC_Vector
void | ARC_Vector_RemoveIndex (ARC_Vector *vector, uint32_t index)
| removes an item from an ARC_Vector at an index
void | ARC_Vector_Clear (ARC_Vector *vector)
| clears all items from a vector
uint32_t | ARC_Vector_GetSize (ARC_Vector *vector)
| gets the current size of an ARC_Vector as an unsigned 32 bit integer
void * | ARC_Vector_Get (ARC_Vector *vector, uint32_t index)
| gets an item from an ARC_Vector at a position index

## Detailed Description

creates and outlines a dynamic array type and its functions

Definition in file vector.h.